%global __brp_mangle_shebangs_exclude_from ^%{_sharedstatedir}/bughunting/tasks/*$

Name:		bughunting-tasks
Version:	2022.3
Release:	3%{?dist}
Summary:	Tasks for Bughunting

License:	RH
URL:		http://www.redhat.com
Source0:	%{name}-%{version}.txz
# Generated using .helpers/generate_deplist
Source1:	dependencies.txt

ExclusiveArch:	x86_64

#Requires:	bughunting

# TODO: trim this list.  A lot of those items were added because this was needed
# by some tasks which might not be available in actual year.
Requires:	bash
Requires:	coreutils
Requires:	grep
Requires:	gzip
Requires:	info
Requires:	patch
Requires:	tar
Requires:	unzip
Requires:	util-linux
Requires:	which
Requires:	xz
Requires:	irb
Requires: man
Requires: sqlite
BuildRequires: perl-Data-Dumper
BuildRequires: perl-YAML-Syck
BuildRequires: perl

# Generated requires.  Be careful here, as of my last checking (~2015) RPM has
# 80K bytes limit which any macro can expand into.
%(cat %{SOURCE1} | sed 's|^|Requires: |')

%description
Bughunting tasks core package, with task sources and config.


%package check
Summary: Check files for Bughunting
Requires: %{name} = %{version}-%{release}

%description check
Check files for Bughunting server.


%package patch
Summary: Patches for Bughunting Challenge
Requires: %{name} = %{version}-%{release}

%description patch
Patches for Bughunting Challenge.


%prep
%setup -q


%install
make install DESTDIR=%{buildroot}


%check
make check


%files
%doc README.md
%dir %{_sharedstatedir}/bughunting/tasks
%{_sharedstatedir}/bughunting/tasks/*/source
%{_sharedstatedir}/bughunting/tasks/*/task.yml
%exclude %{_sharedstatedir}/bughunting/tasks/*/*.patch

%files patch
%{_sharedstatedir}/bughunting/tasks/*/*.patch

%files check
%{_sharedstatedir}/bughunting/tasks/*/check


%changelog
* Wed Jul 27 2022 Pavel Valena <pvalena@redhat.com> - 2022.3-3
- warmup_only

* Tue Mar 01 2022 Pavel Valena <pvalena@redhat.com> - 2022.2-1
- Initial build for OpenHouse 2022.

* Thu Jan 13 2022 Pavel Valena <pvalena@redhat.com> - 2022.1-2
- Initial build for DevConf.CZ 2022.

* Fri Jul 30 2021 Pavel Valena <pvalena@redhat.com> - 2021.2-1
- Initial build for Summer Camp 2021.
- Trim dependencies list.

* Sat Feb 20 2021 Pavel Valena <pvalena@redhat.com> - 2021-9
- Package patches as well.

* Wed Feb 17 2021 Pavel Valena <pvalena@redhat.com> - 2021-8
- Refresh with new tasks.

* Tue Feb 16 2021 Pavel Valena <pvalena@redhat.com> - 2021-7
- Rebuild with new tasks.

* Thu Feb 11 2021 Pavel Valena <pvalena@redhat.com> - 2021-6
- Rebuild with new tasks.

* Tue Feb 09 2021 Pavel Valena <pvalena@redhat.com> - 2021-5
- Rebuild with new tasks.

* Thu Feb 04 2021 Pavel Valena <pvalena@redhat.com> - 2021-4
- Add debug dependencies.

* Tue Feb 02 2021 Pavel Valena <pvalena@redhat.com> - 2021-3
- Sync up new tasks.

* Wed Jan 13 04:49:28 CET 2021 Pavel Valena <pvalena@redhat.com> - 2021-2
- Fixup CI.

* Wed Nov  4 01:48:38 CET 2020 Pavel Valena <pvalena@redhat.com> - 2021-1
- Initial build for vBughunting 2021.

* Fri Apr 10 2020 Pavel Valena <pvalena@redhat.com> - 2020-2
- Refresh tasks, and move check files into subpackages.

* Thu Jan 16 2020 Tomas Hozza <thozza@redhat.com> - 2020-1
- new version for year 2020

* Wed Feb 06 2019 Tomas Hozza <thozza@redhat.com> - 2019-1
- new version for year 2019

* Fri May 05 2017 Tomas Hozza <thozza@redhat.com> - 2018-1
- new version for year 2018

* Fri Feb 24 2017 Tomas Hozza <thozza@redhat.com> - 2017-1
- new version for year 2017

* Mon Feb 15 2016 Pavel Raiskup <praiskup@redhat.com> - 2016-1
- initial version

* Tue Mar 31 2015 Pavel Raiskup <praiskup@redhat.com> - 2015-2
- version bump

* Thu Mar 12 2015 Pavel Raiskup <praiskup@redhat.com> - 2015-1
- Packaging 2015 tasks

* Fri Apr  4 2014 Honza Horak <hhorak@redhat.com> - 2014-1
- Packaging 2014 tasks

* Thu Mar 13 2014 Honza Horak <hhorak@redhat.com> - 2013-2
- Initial package

